# chorechef

## Description

This is a web application that allows users to manage their chores and plan their
meals. Users can create, update, and delete chores and meals. They can also view
their chores and meals in a dashboard view.

## Technologies Used

- Vue.js 3 + TypeScript
- Python + Django REST Framework
- tailwindcss

### Libraries

- date-fns
- Air Datepicker
- fontawesome

## Installation

### Getting the Source Code

```bash
git clone https://github.com/Daamon01/chorechef.git
cd chorechef
```

### Running the application

Note: The setup script is assuming that you have python (Python 3) and npm installed.

```bash
./startapp.sh
```

This should start the frontend on [http://localhost:5173](http://localhost:5173)
and the backend on [http://localhost:8000](http://localhost:8000).
The django admin interface is available at [http://localhost:8000/admin](http://localhost:8000/admin).
Note that this is the expected configuration for the application to work properly.

## Usage

### Dashboard

The dashboard offers a view of the chores and meals at a glance. The user can see
the chores for the selected day and the meals for the next 4 days including the
current day. The user can navigate to the next or previous day using the arrows inside
the bar displaying the date.

#### Chores

One can mark a chore as done only from the Dashboard. The corresponding chore will
be removed from the list of chores for the day and the next execution date will be
calculated, as well as the next assigned user.
Chores that are overdue, are dispayed in red.

#### Meals

On the dashboard, the user can see the meals planned for the next 4 days. Each meal
has a name and a description, which can be used for noting ingredients or preparation
steps. Meals can not be edited from the dashboard.

### Mealplan View

The mealplan view lets the user see, edit, add and delete meals of the next 7 days.
Otherwise it is similar to the dashboard view.

### Chores View

As with the Mealplan view, the chores view lets the user see, edit, add and delete
chores. However, it is not possible to check off chores from this view. One can only
edit chores here.
A chore has a name, a desctiption, a frequency and a User assigned to it. The frequency
is a number of days, weeks or months. It is used to calculate the next execution
date of the chore. If a chore was marked done by accident, the user can reverse this
action by moving the chore back by one frequency unit. By checking a chore, the next
assigned user cycles through the list of all users.

### Settings

This is a general settings view. Currently it only allows for the management of users.


## Manual Build (production)

```bash
cd frontend
npm install
npm run build
```
