from rest_framework import generics

from .models import Chore, Meal, User
from .serializers import ChoreSerializer, MealSerializer, UserSerializer

# Create your views here.


class MealList(generics.ListCreateAPIView):
    queryset = Meal.objects.all()
    serializer_class = MealSerializer


class MealDetail(generics.RetrieveUpdateDestroyAPIView):
    queryset = Meal.objects.all()
    serializer_class = MealSerializer


class ChoreList(generics.ListCreateAPIView):
    queryset = Chore.objects.all()
    serializer_class = ChoreSerializer


class ChoreDetail(generics.RetrieveUpdateDestroyAPIView):
    queryset = Chore.objects.all()
    serializer_class = ChoreSerializer


class UserList(generics.ListCreateAPIView):
    queryset = User.objects.all()
    serializer_class = UserSerializer


class UserDetail(generics.RetrieveUpdateDestroyAPIView):
    queryset = User.objects.all()
    serializer_class = UserSerializer
